<?

/* ------------------------------------------------------------------- */
/*

*************************************************
*			UWAGA! SKRYPT NIE JEST DARMOWY.			*
*		DALSZE ROZPOWSZECHNIANIE BEZ ZGODY 			*
*			FIRMY ArtGlobal JEST ZABRONIONE.			*
*************************************************

*************************************************
*	WWW.ArtGlobal.PL		PRODUCENT OPROGRAMOWANIA	*
*	NAZWA SKRYPTU:		NIERUCHOMOSCI 6.0			*
*	WERSJA FINALNA:	04.10.2010						*
*	KONTAKT:				kontakt@artglobal.pl			*
*************************************************

Copyright (c) 2010 ArtGlobal. Wszelkie prawa zastrzeżone.

*/
/* ------------------------------------------------------------------- */

$smarty -> assign('og', '');

$url = $_SERVER['REQUEST_URI'];
$smarty -> assign('url', $url);

if ( $_GET['act'] == 'deleteogloszenie' )
{
        $id = $_GET['id'];
        
        $sql = "DELETE FROM ogloszenie WHERE ogloszenieId = '$id'";
        mysql_query( $sql );
        
        $smarty -> assign('success', 'Poprawnie usunięto ogłoszenie!');
}

$n = '30';
$sql = "SELECT a.*, b.* FROM ogloszenie AS a, region AS b WHERE a.ogloszenieRegion  = b.regionId  ";
$q = mysql_query( $sql );
$num = mysql_num_rows( $q );
$smarty -> assign('num', $num);
$p = new Pager('kat', $num, $n, '100');
$p -> setVar("html_link", "<a href=\"administrator.php?mod=ogloszenie&site={^link}\">{^name}</a>\n");
$p -> Render();
$start = $p -> startRecord();

$sql = "SELECT a.*, b.* FROM ogloszenie AS a, region AS b WHERE a.ogloszenieRegion  = b.regionId  ORDER by ogloszenieId  DESC LIMIT $start, $n";
$q = mysql_query( $sql );
$ogloszenie = array();

while ( $db = mysql_fetch_array( $q ) )
{
        $ogloszenie[] = $db;
}
$smarty -> assign('ogloszenie', $ogloszenie);

$str = $p -> getVar("html_out");
$smarty->assign('str', $str);
?>
